=== debian/control ===
Source: ros-kinetic-amcl
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-map-server, ros-kinetic-message-filters, ros-kinetic-nav-msgs, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-std-srvs, ros-kinetic-tf
Homepage: http://wiki.ros.org/amcl
Standards-Version: 3.9.2

Package: ros-kinetic-amcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-dynamic-reconfigure, ros-kinetic-nav-msgs, ros-kinetic-rosbag, ros-kinetic-roscpp, ros-kinetic-std-srvs, ros-kinetic-tf
Description: amcl is a probabilistic localization system for a robot moving in 2D.
 It implements the adaptive (or KLD-sampling) Monte Carlo localization approach (as described by Dieter Fox), which uses a particle filter to track the pose of a robot against a known map. This node is derived, with thanks, from Andrew Howard's excellent 'amcl' Player driver.
